Subject: Re: [PATCH 3/4] drop some obsolete "x = x" compiler warning hacks

From: Jonathan Nieder <[email-masked]>
Date: Thu, 21 Mar 2013 13:47:09 -0700

Jeff King wrote:

> And 4.3 was old enough for me to say "I do not care if you can run with
> -Wall -Werror or not", let alone 4.2.

Changes like this can only reveal bugs (in git or optimizers) that
were hidden before, without regressing actual runtime behavior, so for
what it's worth I like them.

I think perhaps we should encourage people to use
-Wno-error=uninitialized, in addition to cleaning up our code where
reasonably recent optimizers reveal it to be confusing.

Reviewed-by: Jonathan Nieder <[email-masked]>